# Lobby Improvements by Willuwontu and Pykess
---------------------------------------------

Adds several quality of life improvements to online lobbies.

## Lobby Codes
--------------

Join lobbies via a short code, instead of needing to send invites on Steam. Works for **ALL** players, even those who are not on your Steam friends list.

![lobbycodeui](https://github.com/willuwontu/LobbyCodes/blob/main/lobbycodeui.png?raw=true)

![joinui](https://github.com/willuwontu/LobbyCodes/blob/main/joinui.png?raw=true)

Copy the lobby code to your clipboard simply by pressing the copy button in the top right of the screen while in a pre-game lobby.

To join using a lobby code, simply go to Online -> Join Lobby and paste the code in the input bar, then hit JOIN!

#### Option To Allow Only the Host to Invite Players

When this setting is enabled, either in the lobby UI or the mod options menu, all non-host lobby codes will become invalid, and non-host players will no longer see the option to copy a lobby code. As a consequence of how Steam handles friend invites, this will also make _all_ invites sent through Steam invalid, **including those sent by the host**.

#### Streamer Mode

When this option is enabled in the mod options menu, lobby codes will be hidden from both the in-lobby UI and the join lobby menu. Streamers can still copy lobby codes using the copy button in the lobby UI, and enter codes in the join lobby menu simply by having the code in their clipboard and pressing "JOIN".

![streamermodeui](https://github.com/willuwontu/LobbyCodes/blob/main/streamermodeui.png?raw=true)

![streamermodejoinui](https://github.com/willuwontu/LobbyCodes/blob/main/streamermodejoinui.png?raw=true)

## Kick Players
---------------

The host of a lobby can kick individual players before a game starts. Players who are kicked this way will be unable to rejoin the lobby through any means.
